﻿<?xml version="1.0" encoding="utf-8"?>
<Report xmlns="http://schemas.microsoft.com/sqlserver/reporting/2016/01/reportdefinition" xmlns:rd="http://schemas.microsoft.com/SQLServer/reporting/reportdesigner">
  <AutoRefresh>0</AutoRefresh>
  <DataSources>
    <DataSource Name="DataSource">
      <ConnectionProperties>
        <DataProvider>SQL</DataProvider>
        <ConnectString />
      </ConnectionProperties>
      <rd:SecurityType>None</rd:SecurityType>
    </DataSource>
  </DataSources>
  <ReportSections>
    <ReportSection>
      <Body>
        <Height>2in</Height>
        <Style />
      </Body>
      <Width>6.5in</Width>
      <Page>
        <Style />
      </Page>
    </ReportSection>
  </ReportSections>
  <Code>Public Function BlankZero(ByVal Value As Decimal)
    if Value = 0 then
        Return ""
    end if
    Return Value
End Function

Public Function BlankPos(ByVal Value As Decimal)
    if Value &gt; 0 then
        Return ""
    end if
    Return Value
End Function

Public Function BlankZeroAndPos(ByVal Value As Decimal)
    if Value &gt;= 0 then
        Return ""
    end if
    Return Value
End Function

Public Function BlankNeg(ByVal Value As Decimal)
    if Value &lt; 0 then
        Return ""
    end if
    Return Value
End Function

Public Function BlankNegAndZero(ByVal Value As Decimal)
    if Value &lt;= 0 then
        Return ""
    end if
    Return Value
End Function
</Code>
  <Language>=User!Language</Language>
  <ConsumeContainerWhitespace>true</ConsumeContainerWhitespace>
  <rd:ReportUnitType>Inch</rd:ReportUnitType>
  <rd:ReportID>0eeb6585-38ae-40f1-885b-8d50088d51b4</rd:ReportID>
  <DataSets>
    <DataSet Name="DataSet_Result">
      <Fields>
        <Field Name="No_Productos">
          <DataField>No_Productos</DataField>
        </Field>
        <Field Name="Description_Productos">
          <DataField>Description_Productos</DataField>
        </Field>
        <Field Name="ItemCategoryCode_Productos">
          <DataField>ItemCategoryCode_Productos</DataField>
        </Field>
        <Field Name="Document_No_Ventas">
          <DataField>Document_No_Ventas</DataField>
        </Field>
        <Field Name="UnitPrice_FacturaVenta">
          <DataField>UnitPrice_FacturaVenta</DataField>
        </Field>
        <Field Name="UnitPrice_FacturaVentaFormat">
          <DataField>UnitPrice_FacturaVentaFormat</DataField>
        </Field>
        <Field Name="AmountIncludingVAT_FacturaVenta">
          <DataField>AmountIncludingVAT_FacturaVenta</DataField>
        </Field>
        <Field Name="AmountIncludingVAT_FacturaVentaFormat">
          <DataField>AmountIncludingVAT_FacturaVentaFormat</DataField>
        </Field>
        <Field Name="Quantity_FacturaVenta">
          <DataField>Quantity_FacturaVenta</DataField>
        </Field>
        <Field Name="Quantity_FacturaVentaFormat">
          <DataField>Quantity_FacturaVentaFormat</DataField>
        </Field>
        <Field Name="NombreCliente">
          <DataField>NombreCliente</DataField>
        </Field>
        <Field Name="NoCliente">
          <DataField>NoCliente</DataField>
        </Field>
        <Field Name="PostingDate_FacturaVenta">
          <DataField>PostingDate_FacturaVenta</DataField>
        </Field>
        <Field Name="Document_No_Compras">
          <DataField>Document_No_Compras</DataField>
        </Field>
        <Field Name="Quantity_FacturaCompra">
          <DataField>Quantity_FacturaCompra</DataField>
        </Field>
        <Field Name="Quantity_FacturaCompraFormat">
          <DataField>Quantity_FacturaCompraFormat</DataField>
        </Field>
        <Field Name="UnitCost_FacturaCompra">
          <DataField>UnitCost_FacturaCompra</DataField>
        </Field>
        <Field Name="UnitCost_FacturaCompraFormat">
          <DataField>UnitCost_FacturaCompraFormat</DataField>
        </Field>
        <Field Name="AmountIncludingVAT_FacturaCompra">
          <DataField>AmountIncludingVAT_FacturaCompra</DataField>
        </Field>
        <Field Name="AmountIncludingVAT_FacturaCompraFormat">
          <DataField>AmountIncludingVAT_FacturaCompraFormat</DataField>
        </Field>
        <Field Name="NombreProveedor">
          <DataField>NombreProveedor</DataField>
        </Field>
        <Field Name="NoProveedor">
          <DataField>NoProveedor</DataField>
        </Field>
        <Field Name="PostingDate_FacturaCompra">
          <DataField>PostingDate_FacturaCompra</DataField>
        </Field>
      </Fields>
      <Query>
        <DataSourceName>DataSource</DataSourceName>
        <CommandText />
      </Query>
    </DataSet>
  </DataSets>
</Report>